Package: julia / 0.4.7-6

disable-libgit2-test.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
Description: Disable libgit2 test to avoid dependency on libgit2.
Author: Peter Colberg <peter@colberg.org>
Forwarded: not-needed
Last-Update: 2015-11-17
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/test/choosetests.jl
+++ b/test/choosetests.jl
@@ -29,7 +29,7 @@
         "combinatorics", "sysinfo", "rounding", "ranges", "mod2pi",
         "euler", "show", "lineedit", "replcompletions", "repl",
         "replutil", "sets", "test", "goto", "llvmcall", "grisu",
-        "nullable", "meta", "profile", "libgit2", "docs", "markdown",
+        "nullable", "meta", "profile", "docs", "markdown",
         "base64", "serialize", "functors", "misc",
         "enums", "cmdlineargs", "i18n", "workspace", "libdl", "int",
         "intset", "floatfuncs", "compile", "parallel", "inline"
--- a/test/libgit2.jl
+++ /dev/null
@@ -1,19 +0,0 @@
-# This file is a part of Julia. License is MIT: http://julialang.org/license
-
-# check that libgit2 has been installed correctly
-
-const LIBGIT2_VER = v"0.21+"
-
-function check_version()
-    major, minor, patch = Cint[0], Cint[0], Cint[0]
-    ccall((:git_libgit2_version, :libgit2), Void,
-          (Ptr{Cint}, Ptr{Cint}, Ptr{Cint}), major, minor, patch)
-    v = VersionNumber(major[1], minor[1], patch[1])
-    if v.major == LIBGIT2_VER.major && v.minor >= LIBGIT2_VER.minor
-        return true
-    else
-        return false
-    end
-end
-
-@test check_version()